Gdk-WARNING **: XID collision, trouble ahead

Reported by dino99 on 2009-07-20
750
This bug affects 150 people
Affects Status Importance Assigned to Milestone
Chromium Browser
New
Undecided
Unassigned
GTK+
Expired
Medium
Mozilla Firefox
Confirmed
Medium
xlibs
Confirmed
High
firefox-3.5 (Ubuntu)
High
Unassigned
Karmic
High
Unassigned
Lucid
High
Unassigned
firefox (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
gtk+2.0 (Ubuntu)
Medium
Unassigned
Karmic
High
Unassigned
Lucid
Medium
Unassigned

Bug Description

karmic testing

in .xsession-errors: (firefox:24993): Gdk-WARNING **: XID collision, trouble ahead
previously, have had this one: (nautilus:3572):
 GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed (bug report 401822)

Related branches

Firefox outputs lots of "Gdk-WARNING **: XID collision, trouble ahead" to console
when opening some pages.

Steps to reproduce:
1. Start Firefox
2. Open http://d.hatena.ne.jp/nyama/20090605

My environments:
Distribution: Debian GNU/Linux unstable
GTK+: 2.16.2-1
GLIB: 2.20.3-1
GNOME: 2.26

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2a1pre) Gecko/20090611 Minefield/3.6a1pre

This warning was added for http://bugzilla.gnome.org/show_bug.cgi?id=581526

I didn't expect it to show up so soon after startup or to be reproducible on particular pages (which makes me wonder whether there is another problem also).

I also get floods of these messages on my console from time to time on http://www.pandora.com/#/ (also on debian w/gtk+ and glib versions as above - firefox thinks it is

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10

I occasionally get these messages as well. And when it happens, the the browser seems not responding to key press(ex: typing '/' in page to search, or typing in the address bar).

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2a1pre) Gecko/20090613 Firefox/3.6a1pre

Not reproduced on Fedora 11 x86_64
Distribution: Fedora 11
gtk2: 2.16.1-4
glib2: 2.20.1-1
libgnome: 2.26.0-1

Mozilla/5.0 (X11; U; Linux x86_64; ja-JP; rv:1.9.2a1pre) Gecko/20090615 Fedora/3.6a1pre-0.a1pre.2009061416.hg_5d75052e7f69.fc11 Minefield/3.6a1pre

(In reply to comment #4)
The warning was added before gtk+-2.16.2, but is not in gtk+-2.16.1.
http://git.gnome.org/cgit/gtk+/commit/?h=gtk-2-16&id=339298b638ae76c546717f2136970b93438295a9

(Whatever is causing the warning is most likely happening in earlier versions also though.)

(In reply to comment #5)
gtk+-2.16.2 is now updates-testing stage in Fedora 11.
So I think I'll also face this issue shortly.

Now gtk+ has been updated to 2.16.2 on Fedora 11.
I can see the message at every pages which have flash content.

flash: 10.2.22.87 (x86_64 plugin from labs.adobe.com)

I cannot test pandora.com mentioned at the comment #2 because I'm outside of the US. Does the site have flash content?

Test site: http://www.adobe.com/products/flashplayer/
1. When the flash movie is playing, we can get the message.
2. When we move to the other firefox tabs, we cannot get the message.
3. When we stop the flash movie with the button in the flash content, we cannot get the message.
4. When we move the mouse cursor over the button in the flash content, we can get the message.
5. When we move the mouse cursor over the top menu (Solution, Products, etc.), we can get the message.

So I suppose we can get the message when:
  * The content have flash
  * The flash content is really visible. (When the flash content is embedded on the content of inactive firefox tab or is hidden by scrolling, I cannot see the message.)
  * The page which have the flash content is redrawn (flash movie, popup in HTML, etc.)

*** Bug 499520 has been marked as a duplicate of this bug. ***

I can't see a reasonable way for either Xlib or the Xserver to guarantee that
XIDs in client's event queues are unique.

The X server has handed off the DestroyNotify event, so it thinks it has
finished with the event.

Xlib could ensure not to allocate an XID referenced in its own event queue
(for known event types), but it wouldn't know what other clients might have a
reference to a candidate XID sitting in their event queues.

If the server were to keep XIDs of destroyed windows allocated until clients
have processed events on that window, it would need to know when the events in
Xlib's queue have been processed. I can't see how the Xserver can know this
(without some change in protocol).

The other way of looking at this is that the events are a history of what has
happened and need to be interpreted in the context of when they happened.

Takanori: Pandora uses flash

karmic testing

in .xsession-errors: (firefox:24993): Gdk-WARNING **: XID collision, trouble ahead
previously, have had this one: (nautilus:3572):
 GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed (bug report 401822)

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: firefox 3.0.11+build2+nobinonly-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=fr_FR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
Uname: Linux 2.6.31-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

dino99 (9d9) wrote :
tags: added: apport-collected

Have added my xsession-errors file. The good bit is as follows:

(firefox:3621): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed
Nautilus-Share-Message: Called "net usershare info" but it failed: 'net usershare' returned error 255: net usershare: cannot open usershare directory /var/lib/samba/usershares. Error No such file or directory
Please ask your system administrator to enable user sharing.

(nautilus:3180): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

Afaik this error starts appearing after upgrading to libX11-1.2+ and libxcb-1.2+ (and recompiling affected libs as libxcb-xevie and libxcb-xlib have gone away - including gtk+)

affects: linux (Ubuntu) → firefox-3.5 (Ubuntu)

targetting for release milestone; in case this causes trouble we want a fix; if it doesnt cause crashes or alike we should drop the warning for the stable ubuntu release as it seems to flood xsession-errors et al.

summary: - (firefox:24993): Gdk-WARNING **: XID collision, trouble ahead
+ (firefox:24993): Gdk-WARNING **: XID collision, trouble ahead -
+ overeager XID caching
Changed in gtk+2.0 (Ubuntu):
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

using 9.10 as milestone as we probably dont want to hide this too early.

Changed in gtk+2.0 (Ubuntu):
milestone: none → ubuntu-9.10
Alexander Sack (asac) wrote :

not sure if there is anything that can be done on firefox. anyway, triaged as it has an upstream bug.

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in gtk:
status: Unknown → New
Changed in firefox:
status: Unknown → Confirmed
Changed in xlibs:
status: Unknown → Confirmed

This is what was being logged just before a reproducible (on this boot anyway) firefox-3.5 seg fault when I launched firefox on the CLI after a prior crash. aaport didn't pick up on the crash though.

Crash was when I was in google voice, trying to click the button to edit cell phone settings... It did work previously (several days back) - no idea what changed.

[08-08 02:40:16] Torbutton NOTE: Crash detected, attempting recovery
[08-08 02:40:16] Torbutton NOTE: Restoring cookie status
[08-08 02:40:16] Torbutton NOTE: Loading non-tor jar after crash
[08-08 02:40:16] Torbutton NOTE: Restoring tor state

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead

(firefox-3.5:14875): Gdk-WARNING **: XID collision, trouble ahead
Segmentation fault (core dumped)

1 comments hidden view all 199 comments
Ryan (ubuntu-draziw) wrote :

Looks like the crash has been fixed in updates today. libgtk2.0-0 libgtk2.0-0-dbg libgtk2.0-bin libgtk2.0-common libgtk2.0-dev all updated.

- update and no more crash where it was very reproducible.

apt-cache policy libgtk2.0-0 libgtk2.0-0-dbg libgtk2.0-bin libgtk2.0-common libgtk2.0-dev
libgtk2.0-0:
  Installed: 2.17.7-0ubuntu2
  Candidate: 2.17.7-0ubuntu2
  Version table:
 *** 2.17.7-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgtk2.0-0-dbg:
  Installed: 2.17.7-0ubuntu2
  Candidate: 2.17.7-0ubuntu2
  Version table:
 *** 2.17.7-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgtk2.0-bin:
  Installed: 2.17.7-0ubuntu2
  Candidate: 2.17.7-0ubuntu2
  Version table:
 *** 2.17.7-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgtk2.0-common:
  Installed: 2.17.7-0ubuntu2
  Candidate: 2.17.7-0ubuntu2
  Version table:
 *** 2.17.7-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgtk2.0-dev:
  Installed: 2.17.7-0ubuntu2
  Candidate: 2.17.7-0ubuntu2
  Version table:
 *** 2.17.7-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Ryan (ubuntu-draziw) wrote :

(note - still get the warning messages, it just doesn't appear to crash anymore...)

firefox:16818): Gdk-WARNING **: XID collision, trouble ahead

(firefox:16818): Gdk-WARNING **: XID collision, trouble ahead

(firefox:16818): Gdk-WARNING **: XID collision, trouble ahead

Tyrael (marco-crociani) wrote :
Download full text (4.6 KiB)

Hi, it's the same bug?
The libcanberra error is related to https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/369498

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

$ firefox
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: classe ELF errata: ELFCLASS64
NPP_New called
DBUS connection created
Listening to path /control/16915
ARG: src = http://static.ak.fbcdn.net/sound/pop.mp3
ARG: autostart = true
ARG: loop = false
ARG: hidden = true
New Stream Requested
opening /home/tyrael/.cache/gnome-mplayer/plugin/gecko-mediaplayertaudde.mp3 for localcache
Entering destroy stream reason = 0 for http://static.ak.fbcdn.net/sound/pop.mp3
Entering list_parse_qt localsize = 625
unable to find rmda in /home/tyrael/.cache/gnome-mplayer/plugin/gecko-mediaplayertaudde.mp3
Entering list_parse_asx localsize = 625
Item
src = http://static.ak.fbcdn.net/sound/pop.mp3
local = /home/tyrael/.cache/gnome-mplayer/plugin/gecko-mediaplayertaudde.mp3
id = 1
play = 1
path =
controlid = 0
playerready = 0
newwindow = 0
cancelled = 0
streaming = 0
loop = 0
loopcount = 0
Exiting list_parse_asx
Entering list_parse_qml localsize = 625
Item
src = http://static.ak.fbcdn.net/sound/pop.mp3
local = /home/tyrael/.cache/gnome-mplayer/plugin/gecko-mediaplayertaudde.mp3
id = 1
play = 1
path =
controlid = 0
playerready = 0
newwindow = 0
cancelled = 0
streaming = 0
loop = 0
loopcount = 0
Exiting list_parse_qml
URL Notify http://static.ak.fbcdn.net/sound/pop.mp3
,0 = 0
http://static.ak.fbcdn.net/sound/pop.mp3
/home/tyrael/.cache/gnome-mplayer/plugin/gecko-mediaplayertaudde.mp3
/control/16915
New Stream Requested
item is null
stream url http://static.ak.fbcdn.net/sound/pop.mp3
Entering destroy stream reason = 1 for http://static.ak.fbcdn.net/sound/pop.mp3
Exiting destroy stream reason = 1 for http://static.ak.fbcdn.net/sound/pop.mp3

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed

(firefox:3864): Gdk-CRITICAL **: gdk_x11_xatom_to_atom_for_display: assertion `xatom != None' failed
*** NSPlugin Viewer *** ERROR: NPN_InvalidateRect() invoke: Connessione interrotta dal corrispondente
Segmentation fault (core dumped)

I have a Zotac ION motherboard with ATOM N330 and Karmic AMD64

$ lspci
00:00.0 Host bridge: nVidia Corporation MCP79 Host Bridge (rev b1)
00:00.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.0 ISA bridge: nVidia Corporation MCP79 LPC Bridge (rev b2)
00:03.1 RAM memory: nVidia Corpor...

Read more...

dino99 (9d9) wrote :

xid collision is gone now

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: firefox 3.5.2+nobinonly-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-7.27-generic
Uname: Linux 2.6.31-7-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Martin Pitt (pitti) wrote :

Alex, can you please watch this, or unblock for karmic if it's not such a big deal? Thanks!

Changed in firefox-3.5 (Ubuntu Karmic):
assignee: nobody → Alexander Sack (asac)

This bug causes serious problems for some of us. In my case, (after bug 20254 was fixed) this is I believe the cause behind the way most of my firefox sessions terminate (after sometimes producing the disembodied windows mentioned in the first comment at https://bugzilla.gnome.org/show_bug.cgi?id=581526 )

So. Even if it's not possible to completely prevent an XID from being reused before it's processed, perhaps it could be made so unlikely that it won't happen in reasonable circumstances? I am thinking of the way process IDs work - each one is higher than the previous one assigned until it hits an integer limit and wraps back to 0, but any unallocated XIDs that old would hopefully not still be in queues.

I tried to take a look at the code but quickly came to the conclusion that this isn't something I personally could just jump into. So I don't know if it's a feasible suggestion or not - if not perhaps there could be some similar workaround to delay a given ID's reuse until it's simply unlikely to be a problem

Improving the algorithm providing the XID range so that it provided a larger range where possible would make this less likely (though it could still happen less often in reasonable circumstances).

Keeping a buffer of a certain number of recently released XIDs is another possibility.

Or perhaps calculating the range in advance, so that the range used is a range of XIDs that were available (but not advertised) at the time of a previous range request.

Reducing the frequency of the problem would provide relief. In my (possibly naive) opinion it is the wrong approach: the design flaw needs to be fixed. Perhaps that requires an API change.

This seems to be biting me too, to the order of once every 15 minutes (closing a firefox tab has by my estimate a 10% chance of crashing the firefox process). Meanwhile, .xsession-errors is flooded with messages from GDK warning of XID collisions.

I run most of the Xorg stack from git and interestingly enough, this behavior started a few weeks ago. I haven't had a chance to try bisecting yet, but as soon I get a chance I'll drop a note.

I'm also getting the error in #10 except the number this time is 15780 which is simply the PID of the process.

Created an attachment (id=29852)
Firefox backtrace with RenderBadPicture

It seems that Google Maps serves as an excellent reproduction case for the Firefox crash. Opening Google Maps in a tab and closing it will almost always result in a a RenderBadPicture within 3 attempts. Attached is a backtrace from doing just that. Is it possible that this backtrace is caused by aggressive XID reuse?

(From update of attachment 29852)
(In reply to comment #6)
> Is it possible that this backtrace is caused by aggressive XID reuse?

I wouldn't have expected RenderBadPicture from this bug. If you can get a stack when running Firefox with --sync, then it would be best to file a bug at https://bugzilla.mozilla.org/ under Core -> Widget: Gtk

The RenderBadPicture may be caused by running cairo master. If you are, try downgrading to 1.8.8.

(In reply to comment #8)
> The RenderBadPicture may be caused by running cairo master. If you are, try
> downgrading to 1.8.8.
>

Yep, indeed I am running cairo from master. I just reverted and the usual reproduction cases seem to be stable. This is evidently a known issue? Has a bug been opened for it? Can I do anything to help? Thanks a ton for your comment. I've been passively scratching my head over this for weeks now.

I don't know if a bug has been filed, but I do know that it has been talked about on the #cairo IRC channel, and that at least Chris Wilson is aware of it.

I'm sure they'd appreciate a bisecting, although that's a bit painful to do because the bug isn't 100% reproducible.

Alexander Sack (asac) on 2009-09-29
Changed in gtk+2.0 (Ubuntu Karmic):
assignee: nobody → Alexander Sack (asac)
Changed in firefox-3.5 (Ubuntu Karmic):
milestone: none → ubuntu-9.10
Alexander Sack (asac) on 2009-10-08
Changed in firefox-3.5 (Ubuntu Karmic):
status: Triaged → Invalid
Martin Pitt (pitti) on 2009-10-08
Changed in firefox-3.5 (Ubuntu Karmic):
milestone: ubuntu-9.10 → none
Changed in gtk+2.0 (Ubuntu Karmic):
importance: High → Medium
Changed in firefox-3.5 (Ubuntu Karmic):
status: Invalid → Won't Fix
Changed in firefox-3.5 (Ubuntu):
status: Invalid → Triaged
Alexander Sack (asac) on 2009-10-08
Changed in gtk+2.0 (Ubuntu Karmic):
status: Triaged → Won't Fix
milestone: ubuntu-9.10 → none
Changed in gtk+2.0 (Ubuntu):
milestone: ubuntu-9.10 → later
Changed in firefox-3.5 (Ubuntu):
milestone: none → later
Alexander Sack (asac) on 2009-10-26
Changed in gtk+2.0 (Ubuntu Karmic):
milestone: none → karmic-updates
status: Won't Fix → In Progress
Changed in firefox-3.5 (Ubuntu Karmic):
status: Won't Fix → New
Micah Gersten (micahg) on 2009-10-28
Changed in firefox-3.5 (Ubuntu Karmic):
status: New → Won't Fix
Alexander Sack (asac) on 2009-11-09
Changed in gtk+2.0 (Ubuntu Karmic):
importance: Medium → High
Martin Pitt (pitti) on 2009-11-10
Changed in gtk+2.0 (Ubuntu Karmic):
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2009-11-11
Changed in gtk+2.0 (Ubuntu):
milestone: later → lucid-alpha-1
Martin Pitt (pitti) on 2009-11-13
tags: added: verification-done
removed: verification-needed
Changed in gtk+2.0 (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2009-11-17
Changed in gtk+2.0 (Ubuntu Lucid):
status: Triaged → Fix Released
summary: - (firefox:24993): Gdk-WARNING **: XID collision, trouble ahead -
- overeager XID caching
+ (firefox-3.5:20755): Gdk-WARNING **: XID collision, trouble ahead
Micah Gersten (micahg) on 2009-12-30
summary: - (firefox-3.5:20755): Gdk-WARNING **: XID collision, trouble ahead
+ Gdk-WARNING **: XID collision, trouble ahead
Changed in gtk+2.0 (Ubuntu Karmic):
status: Fix Released → New
Steve Langasek (vorlon) on 2009-12-31
Changed in gtk+2.0 (Ubuntu Karmic):
status: New → Fix Released
Micah Gersten (micahg) on 2009-12-31
Changed in gtk:
status: New → Unknown
Changed in gtk:
status: Unknown → New
tekstr1der (tekstr1der) on 2010-07-28
Changed in gtk+2.0 (Ubuntu Lucid):
status: Fix Released → Confirmed
119 comments hidden view all 199 comments
dino99 (9d9) wrote :

maverick is full filed too with this warning (i386 updated)

Oedipe (oedipe) wrote :

Pffff, that annoying bug has been reported first by dino99 on 20-07-2009. ... More than one year later, still nothing... Can we have a kind of "status" or scheduled fix release ? I mean, that bug affects thousand of people and cripple their "xsession-errors" file with tons of warnings... Why it takes so long to fix ?...

the flooding of .xsession-errors and hd activity/waste is most
annoying for the end user.

here's a workaround:
ALT+F2

gnome-session-properties ENTER

"Add"
Name: remove xsession-errors on login
Command: rm -f .xsession-errors*
Comment: cool

That's it. logout and login.

Note that is should be "rm -f .xsession-errors*"
-f means, that if no .xsession-errors* is there rm won't complain.

If you want to check your logfile again just disable the entry in
gnome-session-properties. logout and login.

I'm sorry:

The command line is wrong. It works with this line:

sh -c "rm -f ~/.xsession-errors*"

dino99 (9d9) wrote :

my solution is to use logrotate to limit xsession-errors size

What's the * for? You don't really want to remove every file starting with ".xsession-errors", you ONLY want to remove the file ".xsession-errors". I'd suggest doing:

sh -c 'rm -f ~/.xsession-errors'

the * ist just because there is also a file called .xsession-errors.old

if you switch this on/off in your session-properties, in case you want to view the log file, with this XID-collision flooding, it may happen, that the .old-file also get's quite big.

maybe the * is too much, but it's not harmfiul for other files. of course, your version is the exact way to do it. also the ' instead of " are better.

Changed in xlibs:
importance: Unknown → Medium
Changed in gtk:
importance: Unknown → Medium
Changed in firefox:
importance: Unknown → Medium

I am also getting this error very frequently.

Firefox:
(firefox-bin:2043): Gdk-WARNING **: XID collision, trouble ahead

Seamonkey:
(seamonkey-2.0-bin:2193): Gdk-WARNING **: XID collision, trouble ahead

Opera:
(operapluginwrapper:2507): Gdk-WARNING **: XID collision, trouble ahead

I am running my browsers via a session created using Putty and ssh onto a linux Ubuntu 10.04 OS.

I think this is to do with Adobe flash player only else how come 3 browsers have the same problem/

Kindly solve it and let all of us know the solutions if any.

Thanking you.

dino99 (9d9) wrote :

hi devs,

waiting the final release in few days for maverick, and this error is continuously flooding our log, so is there a way to hide it at least ?

@dino99:
I guess this is related to the flash plugin. I only get this error with installed flash plugin. Maybe the new preview releases from adobe fixes this. But I doubt it. Maybe it's not Flash's fault at all.

However, to work around the problem:

Do once in terminal: rm -f ~/.xsession-errors*

Then hit ALT+F2 and type gnome-session-properties

Add a new entry with the command: sh -c 'rm -f ~/.xsession-errors'

Add a description like "deletes xsession-errors at login"

Close, Log out and log in. You're done.

I cannot reproduce with Flash Player 10.2.161.

Mozilla/5.0 (X11; Linux x86_64; rv:2.0b8pre) Gecko/20101109 Firefox/4.0b8pre

Sam_ (and-sam) wrote :

I've removed the official flashplugin-installer incl. nspluginwrapper and installed native 64bit 'square' from Adobe.
I'm not able to reproduce the issue with java applet, flash, google maps, opened all in tabs.
$ LANG=C apt-cache policy firefox
firefox:
Installed: 3.6.12+build1+nobinonly-0ubuntu0.10.04.1

java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.2) (6b18-1.8.2-4ubuntu2)
OpenJDK 64-Bit Server VM (build 16.0-b13, mixed mode)

dino99 (9d9) wrote :

on Natty i386 updated

confirm that this problem is no more logged now with firefox 4

1 comments hidden view all 199 comments
Sam_ (and-sam) wrote :

Issue stil occurs with google-street-view but not with other flash sites.
The pid in xsession-errors refers to plugin-container.
ps aux |grep 1555
1000 1555 14.0 11.4 703020 116876 ? Sl 13:07 49:54 /usr/lib/firefox-3.6.12/plugin-container /user/zookeeper/.mozilla/plugins/libflashplayer.so 1521 plugin true

Alexander Sack (asac) on 2011-01-06
Changed in firefox-3.5 (Ubuntu Karmic):
assignee: Alexander Sack (asac) → nobody
Changed in firefox-3.5 (Ubuntu Lucid):
assignee: Alexander Sack (asac) → nobody
Changed in firefox-3.5 (Ubuntu):
assignee: Alexander Sack (asac) → nobody
Changed in gtk+2.0 (Ubuntu):
assignee: Alexander Sack (asac) → nobody
milestone: lucid-alpha-1 → none
Alexander Sack (asac) on 2011-01-06
Changed in gtk+2.0 (Ubuntu Karmic):
assignee: Alexander Sack (asac) → nobody
Alexander Sack (asac) on 2011-01-06
Changed in gtk+2.0 (Ubuntu Lucid):
assignee: Alexander Sack (asac) → nobody
milestone: lucid-alpha-1 → none
Sam_ (and-sam) wrote :

Also affects an updated Maverick.
I typed something in FF 3.6.13 and suddenly got logged out.
Afterwards I reviewed .xession-errors.old and found the ominous lines there.
Before I've visited lots of pages using flash.
I'm using native 64bit 'square' since nspluginwrapper is still no useful choice in my case.

Changed in xlibs:
importance: Medium → Unknown
Changed in xlibs:
importance: Unknown → Medium

I get the following console error:

(firefox-bin:7065): Gdk-WARNING **: XID collision, trouble ahead

I can still reproduce this on:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.18) Gecko/20110319 Firefox/3.5.18

Shockwave Flash 10.2 r152

On any site that contains flash:

http://www.amazon.com/
http://www.msn.com/
http://www.yahoo.com/

caixamagica (caixa-magica) wrote :

Forgive me something but - come on - this bug exists since 2009.
It should be solved by now, in my humble opinion... but it's not!
I can still reproduce:
" (firefox-bin:2685): Gdk-WARNING **: XID collision, trouble ahead "
in Ubuntu 10.10 and Firefox 3.6.16, Chrome 10.0..., etc. when viewing sites with flash content.
I believe that this is causing some flash plugin crashes.
After more than a year googling perhaps hundreds of webpages, I still couldn't find a solution.

A also get messages in my log, e.g. on http://www.amazon.com/:
Build identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.16) Gecko/20101206 SeaMonkey/2.0.11

Seamonkey started with:
seamonkey -safe-mode -other-switches
results in:
(seamonkey-2.0-bin:29905): Gdk-WARNING **: XID collision, trouble ahead

Shockwave Flash

    File name: libflashplayer.so
    Shockwave Flash 10.2 r153

(In reply to comment #26)
> A also get messages in my log, e.g. on http://www.amazon.com/:
> Build identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.16)
> Gecko/20101206 SeaMonkey/2.0.11
>
> Seamonkey started with:
> seamonkey -safe-mode -other-switches
> results in:
> (seamonkey-2.0-bin:29905): Gdk-WARNING **: XID collision, trouble ahead
>
> Shockwave Flash
>
> File name: libflashplayer.so
> Shockwave Flash 10.2 r153

Jan: Uninstall the current Flash-version & try the new beta-version from Adobe Labs:

http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer10-3/flashplayer10-3_b1_lin_030811.tar.gz is the Beta 3-version.

http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer10-3/flashplayer10-3_b1_debug_lin_030811.tar.gz for Debug-content.

In your users home-dir you should have a .mozilla-folder, in that you should have a plugins-folder. ~/.mozilla/plugins. Place the unziped so-file to that destination after you've uninstalled the Debian-package. You should do updatedb as root in Terminal to make sure it's recognized. You'll get new prompt when its finished. Note that this Beta-version only works on i586-archs. Don't ask ME why, ask Adobe Labs.

Thanks. Confirming that no logging is created with Shockwave Flash 10.3 d180 with my seamonkey.

... at least for amazon.
However http://d.hatena.ne.jp/nyama/20090605
yields similar messages, but on a differerent line number than I reported before:

(seamonkey-2.0-bin:7580): Gdk-WARNING **: XID collision, trouble ahead

apparently not everything is solved.

If you read enough of this bz entry, you will see that it cannot be fixed by a new Adobe Flash. Proof: I have the problem but don't have Flash installed.

My best guess is that this is a GTK bug. You will see hints of this if you read the whole bz entry. Or just look for GTK.

I am using 3.6.13 version of Firefox along with Adobe Flash player version 10.0 in Ubuntu 10.04.
I am getting this error.

(<unknown>:1716): Gdk-WARNING **: XID collision, trouble ahead

I tried upgrading my Firefox version to 3.7 once but I found it was not at all a stable version and crashed multiple times.
so now I decided to use this version which is performing well except above warnings.

someone above has suggested to use latest Macromedia flash player.
http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer10-3/flashplayer10-3_b1_lin_030811.tar.gz

I downloaded this file. It is a tar file. I extracted it.
Inside it, there is a file like *.so and one folder.
kindly let me know how to install that.

I am having multiple users in Linux. so I would want to install it in such a way that all the other users also can use the same flash player.
kindly let me know the steps.

if .deb kind of file exists for this flash player, then kindly give me the link.
Installing that is much easier and safer.

Yours
Chinmay

caixamagica (caixa-magica) wrote :

If it's not a flash issue, at least interferes with flash videos playback.
And perhaps it's a javascript issue.
Eg., I get "trouble ahead" all the time on videos like these: http://videos.sapo.pt/categoria.html?id=9

Ubuntu also has a bug report for this same issue please see:
https://bugs.launchpad.net/ubuntu/+source/firefox-3.5/+bug/401823

Changed in firefox (Ubuntu Karmic):
status: New → Confirmed
Changed in firefox (Ubuntu Lucid):
status: New → Confirmed
Changed in firefox (Ubuntu):
status: New → Confirmed
Changed in xlibs:
importance: Medium → High
A. Eibach (andi3) wrote :

This should really be passed to the GDK guys as well (if no one has beaten me to it meanwhile)

That "XID collision, trouble ahead" message originates from /usr/lib/libgdk-x11-2.0.so.

A. Eibach (andi3) wrote :

@Chinmay

Well, I don't know about at .deb, but there is a package of the 10.3 player (the FINAL version)
called flash-plugin-10.3.183.11-release.i386.rpm.

Just for test I tried installing it with
$ rpm -i --force-debian --nodeps flash-plugin-10.3.183.11-release.i386.rpm

and what I can I say, it worked! =D
For IceWeasel, I just had to symlink from /usr/lib/flash-plugin/libflashplayer.so to /usr/lib/iceweasel/plugins and voila!
BTW, don't be worried about the "--nodeps" override; RPM cannot correctly detect dependencies on Debian and even does not know about existence of a sane libc6/libstdc++/whatever system, so it generally assumes you have literally "none" of the above. Though you do have those and they work.)

-

Besides, there is also a v11 package out meanwhile:
flashplayer-mozilla_11.1.102.55-0.2_i386.deb
This time, for IceWeasel, symlink from /usr/lib/flashplayer-mozilla/libflashplayer.so to said Iceweasel plugins directory.

FWIW. Though it must be noted that it did not make these stupid error messages disappear.

dino99 (9d9) wrote :

I did not seen that errors since a while (#172) and gtk2 is less used now, so this report is quite dormant. Maybe it could be closed.

Jeff Lane (bladernr) wrote :

dormant and still broken are two different things...

bladernr@klaatu:~$ grep XID .xsession-errors |wc -l
139

That's 139 instances in .xsession errors in the last 24 hours for me...

Not to mention the fact that SO MANY things are reporting errors into xsession-errors these days (for me at least) that I have to delete the log every few days as it very quickly grows to over 100GB in size... I think the last time I caught it, it went from 0 to 95GB in about a week :(

I need to remember to start parsing that long and opening more bugs

dino99 (9d9) wrote :

@Jeff
i've often seen the xsession-errors errors/warnings going away after renaming the .gconf .local .gnome2 then they are cleanly recreated on next boot. That should not exist with if packages updates was taking care of deprecated settings/symlinks etc but the fact is.

Piyush Roy (piyush2k13) wrote :

I have also got this bug and here it is causing system crash. This bug exists after Ubuntu 10.04, at least for me. It is reproducible
by opening sites with flash content. Also for those who, this is just a logging issue, well let me say, it is not. This is real problem and it should be fixed. I am also giving my system information so that developers can fix this easily.

Piyush Roy (piyush2k13) wrote :

I have raised this issue in separate ticket 994688

Lord Delta (lorddefinitia) wrote :

If it helps any, I have this problem too, kubuntu,
lsb_release:
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise
uname -r:
3.2.0-24-generic
dpkg -l 'libgtk2.0*':
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-================-================-================================================
ii libgtk2.0-0 2.24.10-0ubuntu6 GTK+ graphical user interface library
un libgtk2.0-0-dbg <none> (no description available)
ii libgtk2.0-bin 2.24.10-0ubuntu6 programs for the GTK+ graphical user interface l
rc libgtk2.0-cil 2.12.10-2ubuntu4 CLI binding for the GTK+ toolkit 2.12
un libgtk2.0-cil-de <none> (no description available)
ii libgtk2.0-common 2.24.10-0ubuntu6 common files for the GTK+ graphical user interfa
ii libgtk2.0-dev 2.24.10-0ubuntu6 development files for the GTK+ library
ii libgtk2.0-doc 2.24.10-0ubuntu6 documentation for the GTK+ graphical user interf

I notice this issue when running Google-Chrome from cmdline.

Lord Delta (lorddefinitia) wrote :

Also believe this bug could be related to crashes/system freezes/hangs I experience, almost regularly.

jerrylamos (jerrylamos) wrote :

This one's quantal 3.4.0-5 after today's update/upgrade even.

Jerry

Paul Tomblin (ptomblin) wrote :

I run Chrome from the command line in order to add the '-disable-bundled-ppapi-flash' argument to prevent the other flash freezeup, and I get this message in the terminal window that's running Chrome.

dino99 (9d9) wrote :
Changed in firefox (Ubuntu Karmic):
status: Confirmed → Invalid

I can't reproduce this problem with recent Flash Player.
So I think we can close this bug.

Changed in gtk:
status: New → Expired
Displaying first 40 and last 40 comments. View all 199 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.